import './bootstrap';
import.meta.glob([
    '../img/**',
    '../fonts/**'
]);

import { Livewire, Alpine } from '../../vendor/livewire/livewire/dist/livewire.esm';
//import Alpine from 'alpinejs';

window.Alpine = Alpine;

Livewire.start();

import './main';
(function ($) {
    eqHeightWalletLeaderboard();
    $(window).resize(function() {
        eqHeightWalletLeaderboard();
    });
    function eqHeightWalletLeaderboard() {
        let walletHeight = 0;
        let leaderboardHeight = 0;
        $('section.wallet-setup .card-block-style-one').each(function() {
            if ($(this).outerHeight() > walletHeight) {
                walletHeight = $(this).outerHeight();
            }
        });
        $('.top-seller-style-one').each(function() {
            if ($(this).outerHeight() > leaderboardHeight) {
                leaderboardHeight = $(this).outerHeight();
            }
        })
        $('section.wallet-setup .card-block-style-one').css('min-height', walletHeight + 'px');
        $('.top-seller-style-one').css('min-height', leaderboardHeight + 'px');
    }
})(jQuery, window);
